Apache Tomcat 7.0.42

## org.apache.catalina.core
Class ApplicationServletRegistration

    java.lang.Object
      org.apache.catalina.core.ApplicationServletRegistration

All Implemented Interfaces:
  Registration, Registration.Dynamic, ServletRegistration, ServletRegistration.Dynamic

    public class ApplicationServletRegistration

extends Object
implements ServletRegistration.Dynamic

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration
`ServletRegistration.Dynamic`

Constructor Summary
`ApplicationServletRegistration(Wrapper wrapper, Context context)`

Method Summary
`Set<String>` `addMapping(String... urlPatterns)`
`String` `getClassName()`
`String` `getInitParameter(String name)`
`Map<String,String>` `getInitParameters()`
`Collection<String>` `getMappings()`
`String` `getName()`
`String` `getRunAsRole()`
`void` `setAsyncSupported(boolean asyncSupported)`
`boolean` `setInitParameter(String name, String value)`
`Set<String>` `setInitParameters(Map<String,String> initParameters)`
`void` `setLoadOnStartup(int loadOnStartup)`
`void` `setMultipartConfig(MultipartConfigElement multipartConfig)`
`void` `setRunAsRole(String roleName)`
`Set<String>` `setServletSecurity(ServletSecurityElement constraint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationServletRegistration

    public ApplicationServletRegistration(Wrapper wrapper,
                                          Context context)

Method Detail

### getClassName

    public String getClassName()

  Specified by:
    `getClassName` in interface `Registration`

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in interface `Registration`

### getInitParameters

    public Map<String,String> getInitParameters()

  Specified by:
    `getInitParameters` in interface `Registration`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Registration`

### setInitParameter

    public boolean setInitParameter(String name,
                                    String value)

  Specified by:
    `setInitParameter` in interface `Registration`
  Returns:
    TODO

### setInitParameters

    public Set<String> setInitParameters(Map<String,String> initParameters)

  Specified by:
    `setInitParameters` in interface `Registration`
  Returns:
    TODO

### setAsyncSupported

    public void setAsyncSupported(boolean asyncSupported)

  Specified by:
    `setAsyncSupported` in interface `Registration.Dynamic`

### setLoadOnStartup

    public void setLoadOnStartup(int loadOnStartup)

  Specified by:
    `setLoadOnStartup` in interface `ServletRegistration.Dynamic`

### setMultipartConfig

    public void setMultipartConfig(MultipartConfigElement multipartConfig)

  Specified by:
    `setMultipartConfig` in interface `ServletRegistration.Dynamic`

### setRunAsRole

    public void setRunAsRole(String roleName)

  Specified by:
    `setRunAsRole` in interface `ServletRegistration.Dynamic`

### setServletSecurity

    public Set<String> setServletSecurity(ServletSecurityElement constraint)

  Specified by:
    `setServletSecurity` in interface `ServletRegistration.Dynamic`

### addMapping

    public Set<String> addMapping(String... urlPatterns)

  Specified by:
    `addMapping` in interface `ServletRegistration`
  Returns:
    TODO

### getMappings

    public Collection<String> getMappings()

  Specified by:
    `getMappings` in interface `ServletRegistration`

### getRunAsRole

    public String getRunAsRole()

  Specified by:
    `getRunAsRole` in interface `ServletRegistration`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.